%define momorel 3
Name: hwdata
Summary: Hardware identification and configuration data
Version: 0.148
Release: %{momorel}m
License: GPL or MIT/X
Group: System Environment/Base
Source0: hwdata-%{version}.tar.gz
Patch0: hwdata-0.148-MonitorsDB-RDG17X.patch
BuildArch: noarch
Conflicts: Xconfigurator < 4.9.42-1, kernel-pcmcia-cs < 3.1.31-11
Provides: /usr/X11R6/lib/X11/Cards
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids database, the XFree86 Cards and MonitorsDb databases.

%prep

%setup -q
%patch0 -p1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_sysconfdir}/hotplug/blacklist %{buildroot}%{_sysconfdir}/hotplug/blacklist.hwdata

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE COPYING
%dir %{_datadir}/hwdata
%dir %{_sysconfdir}/pcmcia
%config %{_sysconfdir}/hotplug/blacklist.hwdata
%config %{_sysconfdir}/pcmcia/config
# %config(noreplace) %{_sysconfdir}/updfstab.conf
# %config %{_sysconfdir}/updfstab.conf.default
%config %{_datadir}/hwdata/*
# This file is screaming to be moved into /usr/share/hwdata sometime <g>
%{_prefix}/X11R6/lib/X11/Cards

%changelog
* Sun Apr  3 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (0.148-3m)
- added configuration of RDG17X to MonitorsDB

* Fri Dec 10 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.148-2m)
  rename blacklist

* Wed Dec  8 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.148-1m)
  update to 0.148
  
* Sun Nov 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.122-2m)
- Provides: /usr/X11R6/lib/X11/Cards

* Thu Jul 15 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.122-1m)
- verup

* Sun Jun  6 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.117-2m)
- conflict updfstab.conf(.default)

* Tue May 11 2004 Toru Hoshina <t@momonga-linux.org>
- (0.117-1m)
- update to 0.117

* Tue Nov 11 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.101-1m)
- update to 0.101

* Wed Oct 15 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99-1m)
- update to 0.99

* Fri Oct 10 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (0.96-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Sep 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.96-1m)
- update to 0.96

* Mon Sep  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.95-1m)
- update to 0.95

* Sat Sep  6 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.93-1m)
- update to 0.93

* Tue Sep  2 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.92-1m)
- update to 0.92

* Sun Jul 20 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.87-2m)
- add tc902x

* Sun Jul 20 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.87-1m)
- update to 0.87
- bcm5700 -> tg3

* Fri Mar 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.75-1m)
  update to 0.75
  
* Sun Feb 16 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.73-1m)
  update to 0.73

* Sat Nov 16 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.61-1m)
- update to 0.61

* Thu Aug 15 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.42-1m)
- update to 0.42

* Fri Jul 19 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.32-1m)
  update to 0.32

* Wed May  8 2002 Toru Hoshina <t@kondara.org>
- (0.14-2k)
- update to 0.14

* Thu Apr 25 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.12-2k)
- update to 0.12
- tg3 -> bcm5700

* Sat Apr  6 2002 Toru Hoshina <t@kondara.org>
- (0.10-2k)
- separated from kudzu.
- add nForce support.
- substituted e100 for some eepro100 entry.
- add pdcraid, hdcraid support, however not enough.
- reorder MonitorDB.

* Tue Apr  2 2002 Mike A. Harris <mharris@redhat.com 0.10-1
- Fixed i830 entry to use driver "i810" not "i830" which doesn't exist

* Mon Apr  1 2002 Bill Nottingham <notting@redhat.com> 0.9-1
- fix rebuild (#62459)
- SuperSavage ids (#62101)
- updates from pci.ids

* Mon Mar 18 2002 Bill Nottingham <notting@redhat.com> 0.8-2
- fix errant space (#61363)

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com> 0.8-1
- nVidia updates

* Wed Mar 13 2002 Bill Nottingham <notting@redhat.com> 0.7-1
- lots of pcitable updates

* Tue Mar  5 2002 Mike A. Harris <mharris@redhat.com> 0.6-1
- Updated Cards database

* Mon Mar  4 2002 Mike A. Harris <mharris@redhat.com> 0.5-1
- Built new package with updated database files for rawhide.

* Fri Feb 22 2002 Bill Nottingham <notting@redhat.com> 0.3-1
- return of XFree86-3.3.x

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com> 0.1-1
- initial build
